# Generated by Django 4.1.4 on 2023-01-06 16:16

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ("game", "0053_joke_player_current_dialogue_options"),
    ]

    operations = [
        migrations.CreateModel(
            name="PowerWord",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("word", models.CharField(max_length=100)),
                ("tags", models.TextField(blank=True, null=True)),
                ("incompatible_tags", models.TextField(blank=True, null=True)),
                ("action_commands", models.TextField(blank=True, null=True)),
                ("text", models.TextField()),
            ],
        ),
        migrations.CreateModel(
            name="Romance",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("name", models.CharField(max_length=100)),
                ("tags", models.TextField(blank=True, null=True)),
                ("action_tags", models.TextField(blank=True, null=True)),
                ("text", models.TextField()),
            ],
        ),
        migrations.AddField(
            model_name="player",
            name="agility",
            field=models.IntegerField(blank=True, default=0, null=True),
        ),
        migrations.AddField(
            model_name="player",
            name="charisma",
            field=models.IntegerField(blank=True, default=0, null=True),
        ),
        migrations.AddField(
            model_name="player",
            name="constitution",
            field=models.IntegerField(blank=True, default=0, null=True),
        ),
        migrations.AddField(
            model_name="player",
            name="effusion",
            field=models.IntegerField(blank=True, default=0, null=True),
        ),
        migrations.AddField(
            model_name="player",
            name="insight",
            field=models.IntegerField(blank=True, default=0, null=True),
        ),
        migrations.AddField(
            model_name="player",
            name="luck",
            field=models.IntegerField(blank=True, default=0, null=True),
        ),
        migrations.AddField(
            model_name="player",
            name="prowess",
            field=models.IntegerField(blank=True, default=0, null=True),
        ),
        migrations.AddField(
            model_name="player",
            name="rapture",
            field=models.IntegerField(blank=True, default=0, null=True),
        ),
        migrations.AddField(
            model_name="player",
            name="understanding",
            field=models.IntegerField(blank=True, default=0, null=True),
        ),
        migrations.CreateModel(
            name="SavedSpell",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("name", models.CharField(max_length=100)),
                (
                    "main_word",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="mains",
                        to="game.powerword",
                    ),
                ),
                (
                    "mod_word1",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="mod1s",
                        to="game.powerword",
                    ),
                ),
                (
                    "mod_word2",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="mod2s",
                        to="game.powerword",
                    ),
                ),
                (
                    "mod_word3",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="mod3s",
                        to="game.powerword",
                    ),
                ),
                (
                    "mod_word4",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="mod4s",
                        to="game.powerword",
                    ),
                ),
                (
                    "player",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="spells",
                        to="game.player",
                    ),
                ),
            ],
        ),
    ]
